Create Conversation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.meetcody.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cody AI MCP server": {
  "url": "https://developers.meetcody.ai/mcp"
}
Close
POST /conversations

Create new conversation

application/json

Body

To use focus mode, add a list of document IDs to limit bot's knowledge base for this conversation.

  • name string Required
  • bot_id string Required
  • document_ids array[string]

    Only documents that exist in the folders the bot has access to are allowed. You can give bot access to all folders if you wish to limit documents from your whole knowledge base.

    Not more than 1000 elements.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • data object
      Hide data attributes Show data attributes object
      • id string
      • name string Required
      • bot_id string Required
      • created_at integer(int64)

        Unix timestamp in seconds

  • 422 application/json

    Request validation failure.

    Hide response attributes Show response attributes object
    • message string
    • errors object
      Hide errors attribute Show errors attribute object
      • bot_id array[string]
POST /conversations
curl \
 --request POST 'https://getcody.ai/api/v1/conversations' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"string","bot_id":"string","document_ids":["string"]}'
Request examples
{
  "name": "string",
  "bot_id": "string",
  "document_ids": [
    "string"
  ]
}
Response examples (200)
{
  "data": {
    "id": "string",
    "name": "string",
    "bot_id": "string",
    "created_at": 42
  }
}
Response examples (422)
{
  "message": "The selected bot id is invalid.",
  "errors": {
    "bot_id": [
      "The selected bot id is invalid."
    ]
  }
}